function drawScaleBar() {
	var scaleDiv = 3;
	var scaleXmin = 443;
	var scaleYmin = 150;
	var bigScaleBarLength = 400;
	var temp = Math.round(myMainMap.curWidth / 3);
	var temp1 = "1";
	for	(var i = 0;i< String(temp).length - 1;i++) {
		temp1 += "0";
	}
	//scaleBarLength is in meters
	var scaleBarLength = Math.floor(temp / parseFloat(temp1)) * parseFloat(temp1);
	//scaleBarLengthMiles is in miles, round to full miles
	var scaleBarLengthMiles = Math.floor(scaleBarLength * 0.000621371192);
	if (scaleBarLengthMiles < 1) {
		//recalculate to 10th of a mile
		scaleBarLengthMiles = Math.floor(scaleBarLength * 0.000621371192 *10)/10;
		//if lower than half a mile then change to yards
		if (scaleBarLengthMiles < 0.5) {
			//calculate yards from meters
			scaleBarLengthYards = Math.round(scaleBarLength * 1.0936133);
			if (scaleBarLengthYards > 100) {
				//floor to 100 yards
				scaleBarLengthYards = Math.floor(scaleBarLengthYards /100)*100;
			}
			else {
					//floor to ten full yards
					scaleBarLengthYards = Math.floor(scaleBarLengthYards /10)*10;
			}
			//recalculate miles from yards
			scaleBarLengthMiles = scaleBarLengthYards * 0.000568181818;
		}
	}
	
	//now calculate length in pixel for both meter and miles/yards
	var scaleBarLengthPix = (scaleBarLength * bigScaleBarLength) / myMainMap.curWidth;
	var scaleBarLengthPixMiles = (scaleBarLengthMiles * 1609.344 * bigScaleBarLength) / myMainMap.curWidth;

	try {		
		document.getElementById("scaleBar").removeChild(document.getElementById("scaleBarTempGroup"));
			}
	catch (er) {  }


	var scaleTempGroup = document.createElementNS(svgNS,"g");
	scaleTempGroup.setAttributeNS(null,"id","scaleBarTempGroup");
	var scaleBarLine = document.createElementNS(svgNS,"line");
	scaleBarLine.setAttributeNS(null,"x1",scaleXmin);
	scaleBarLine.setAttributeNS(null,"y1",scaleYmin);
	scaleBarLine.setAttributeNS(null,"x2",scaleXmin + scaleBarLengthPix);
	scaleBarLine.setAttributeNS(null,"y2",scaleYmin);
	scaleBarLine.setAttributeNS(null,"stroke","dimgray");
	scaleBarLine.setAttributeNS(null,"marker-start","url(#markerScaleBar)");
	scaleBarLine.setAttributeNS(null,"marker-end","url(#markerScaleBarHalf)");
	scaleTempGroup.appendChild(scaleBarLine);
			
	//number 0
	var scaleBarText = document.createElementNS(svgNS,"text");
	scaleBarText.setAttributeNS(null,"x",scaleXmin);
	scaleBarText.setAttributeNS(null,"y",scaleYmin - 8);
	scaleBarText.setAttributeNS(null,"fill","dimgray");
	scaleBarText.setAttributeNS(null,"font-family","Arial,sans-serif");
	scaleBarText.setAttributeNS(null,"font-size","12px");
	scaleBarText.setAttributeNS(null,"text-anchor","middle");
	var textNode = document.createTextNode("0");
	scaleBarText.appendChild(textNode);
	scaleTempGroup.appendChild(scaleBarText);			

	//number end of scalebar
	var scaleBarText = document.createElementNS(svgNS,"text");
	scaleBarText.setAttributeNS(null,"x",scaleXmin + scaleBarLengthPix);
	scaleBarText.setAttributeNS(null,"y",scaleYmin - 8);
	scaleBarText.setAttributeNS(null,"fill","dimgray");
	scaleBarText.setAttributeNS(null,"font-family","Arial,sans-serif");
	scaleBarText.setAttributeNS(null,"font-size","12px");
	scaleBarText.setAttributeNS(null,"text-anchor","middle");
	if (scaleBarLength >= 1000) {
		var textNode = document.createTextNode(scaleBarLength /1000 + "km");
	}
	else {
		var textNode = document.createTextNode(scaleBarLength + myMainMap.units);
	}
	scaleBarText.appendChild(textNode);
	scaleTempGroup.appendChild(scaleBarText);			
			
	//tick mark halfway			
	var scaleBarLine = document.createElementNS(svgNS,"line");
	scaleBarLine.setAttributeNS(null,"x1",scaleXmin + scaleBarLengthPix/2);
	scaleBarLine.setAttributeNS(null,"y1",scaleYmin);
	scaleBarLine.setAttributeNS(null,"x2",scaleXmin + scaleBarLengthPix/2);
	scaleBarLine.setAttributeNS(null,"y2",scaleYmin - 3);
	scaleBarLine.setAttributeNS(null,"stroke","dimgray");
	scaleTempGroup.appendChild(scaleBarLine);
			
	//number at tick mark
	var scaleBarText = document.createElementNS(svgNS,"text");
	scaleBarText.setAttributeNS(null,"x",scaleXmin + scaleBarLengthPix/2);
	scaleBarText.setAttributeNS(null,"y",scaleYmin - 5);
	scaleBarText.setAttributeNS(null,"fill","dimgray");
	scaleBarText.setAttributeNS(null,"font-family","Arial,sans-serif");
	scaleBarText.setAttributeNS(null,"font-size","12px");
	scaleBarText.setAttributeNS(null,"text-anchor","middle");
	if (scaleBarLength >= 1000) {
		var textNode = document.createTextNode(scaleBarLength /2000);
	}
	else {
		var textNode = document.createTextNode(scaleBarLength/2);
	}
	scaleBarText.appendChild(textNode);
	scaleTempGroup.appendChild(scaleBarText);			

	//tick mark miles		
	var scaleBarLine = document.createElementNS(svgNS,"line");
	scaleBarLine.setAttributeNS(null,"x1",scaleXmin + scaleBarLengthPixMiles);
	scaleBarLine.setAttributeNS(null,"y1",scaleYmin);
	scaleBarLine.setAttributeNS(null,"x2",scaleXmin + scaleBarLengthPixMiles);
	scaleBarLine.setAttributeNS(null,"y2",scaleYmin + 5);
	scaleBarLine.setAttributeNS(null,"stroke","dimgray");
	scaleTempGroup.appendChild(scaleBarLine);
			
	//number at end of scale bar miles
	var scaleBarText = document.createElementNS(svgNS,"text");
	scaleBarText.setAttributeNS(null,"x",scaleXmin + scaleBarLengthPixMiles);
	scaleBarText.setAttributeNS(null,"y",scaleYmin + 17);
	scaleBarText.setAttributeNS(null,"fill","dimgray");
	scaleBarText.setAttributeNS(null,"font-family","Arial,sans-serif");
	scaleBarText.setAttributeNS(null,"font-size","12px");
	scaleBarText.setAttributeNS(null,"text-anchor","middle");
	if (scaleBarLengthMiles < 0.5){
		var textNode = document.createTextNode(scaleBarLengthYards + "yrds");
	}
	else {
		var textNode = document.createTextNode(scaleBarLengthMiles+"mi");
	}
	scaleBarText.appendChild(textNode);
	scaleTempGroup.appendChild(scaleBarText);			

	//tick mark halfway	miles		
	var scaleBarLine = document.createElementNS(svgNS,"line");
	scaleBarLine.setAttributeNS(null,"x1",scaleXmin + scaleBarLengthPixMiles/2);
	scaleBarLine.setAttributeNS(null,"y1",scaleYmin);
	scaleBarLine.setAttributeNS(null,"x2",scaleXmin + scaleBarLengthPixMiles/2);
	scaleBarLine.setAttributeNS(null,"y2",scaleYmin + 3);
	scaleBarLine.setAttributeNS(null,"stroke","dimgray");
	scaleTempGroup.appendChild(scaleBarLine);
			
	//number at tick mark halfway miles
	var scaleBarText = document.createElementNS(svgNS,"text");
	scaleBarText.setAttributeNS(null,"x",scaleXmin + scaleBarLengthPixMiles/2);
	scaleBarText.setAttributeNS(null,"y",scaleYmin + 14);
	scaleBarText.setAttributeNS(null,"fill","dimgray");
	scaleBarText.setAttributeNS(null,"font-family","Arial,sans-serif");
	scaleBarText.setAttributeNS(null,"font-size","12px");
	scaleBarText.setAttributeNS(null,"text-anchor","middle");
	if (scaleBarLengthMiles < 0.5 ) {
	var textNode = document.createTextNode(scaleBarLengthMiles *880);
		var textNode = document.createTextNode(scaleBarLengthYards/2);
	}
	else {
		var textNode = document.createTextNode(scaleBarLengthMiles/2);
	}
	scaleBarText.appendChild(textNode);
	scaleTempGroup.appendChild(scaleBarText);						
	
	document.getElementById("scaleBar").appendChild(scaleTempGroup);
			
}